Bug 155156 - [update] small improvements for devel/ocaml-pcre
Summary: [update] small improvements for devel/ocaml-pcre
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-01 14:30 UTC by jaapb
Modified: 2011-03-03 18:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.72 KB, patch)
2011-03-01 14:30 UTC, jaapb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jaapb 2011-03-01 14:30:09 UTC
I've added a LICENSE field to ocaml-pcre, and changed the download site to the one specified on the main site (via the mercurial repository).

Also, I've changed PORTDOCS to PORTEXAMPLES in the pkg-plist, as recommended by portlint(1).

Fix: diff of port directory included.

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2011-03-01 14:30:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Johan van Selst 2011-03-01 15:38:04 UTC
Thanks for your update.

Note that the old master site (www.ocaml.info) still works fine as well
and has a tarball with the same version number, but apparently different
contents (size) than the one on hg.ocaml.info. I'm curious what changed.

The licence of this port is not just LGPL-2.1, but rather "LGPL-2.1 or
any later version", which in my book is something quite different.
Unfortunately, there doesn't seem to be a good way to formulate this in
the experimental LICENSE options, so I prefer to leave it out for now.

%%PORTEXAMPLES%% should only be used if the port actually honours the
NOPORTEXAMPLES setting. At the moment it doesn't, but that should
probably be addressed as well.

I'll look at the changes in the tarball tomorrow and will probably
commit the port update then. If the installed files are identical,
then there is no need to set PORTREVISION.


Ciao,
Johan
Comment 3 jaapb 2011-03-01 18:21:12 UTC
On Tuesday 01 March 2011 16:38:04 Johan van Selst wrote:
> Note that the old master site (www.ocaml.info) still works fine as well
> and has a tarball with the same version number, but apparently different
> contents (size) than the one on hg.ocaml.info. I'm curious what changed.

There doesn't seem to be any difference at all, the different size is probably 
due to the changed directory name (pcre-ocaml-6.2.2 vs. pcre-ocaml-
release-6.2.2).

> %%PORTEXAMPLES%% should only be used if the port actually honours the
> NOPORTEXAMPLES setting. At the moment it doesn't, but that should
> probably be addressed as well.

In fact, you can just do a s/NOPORTDOCS/NOPORTEXAMPLES/ in the Makefile, 
whether or not the examples are installed is currently governed by the 
NOPORTDOCS variable...
Comment 4 dfilter service freebsd_committer 2011-03-03 17:54:40 UTC
johans      2011-03-03 17:54:26 UTC

  FreeBSD ports repository

  Modified files:
    devel/ocaml-pcre     Makefile distinfo pkg-plist 
  Log:
  - Update MASTER_SITES and DISTNAME to new preferred location
  - Replace PORTDOCS by PORTEXAMPLES for examples
  - Tarball was renamed and re-rolled, but sources and installed files
    did not change
  
  PR:             ports/155156
  Submitted by:   Jaap Boender <jaapb@kerguelen.org>
  
  Revision  Changes    Path
  1.39      +4 -3      ports/devel/ocaml-pcre/Makefile
  1.24      +2 -2      ports/devel/ocaml-pcre/distinfo
  1.8       +24 -24    ports/devel/ocaml-pcre/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Johan van Selst freebsd_committer 2011-03-03 17:55:14 UTC
State Changed
From-To: open->closed

Committed (without the licence change). Thanks.